Name:           pixman
Version:        0.36.0
Release:        1
Summary:        Pixel manipulation library
Group:          System Environment/Libraries
License:        MIT
URL:            http://xorg.freedesktop.org/archive/individual/lib/
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-%{version}.tar.gz.sha1
Source2:        %{name}-%{version}.tar.gz.sha1.asc
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  pkg-config

%description
Pixman is a pixel manipulation library for X and cairo.


%package devel
Summary: Pixel manipulation library development package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkg-config

%description devel
Development library for %{name}.


%prep
%setup -q
%patch0


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc_r -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --disable-gcc-inline-asm \
    --disable-timers

make %{?_smp_mflags}

cp %{name}/.libs/libpixman-1.so.0 .
make clean

# now build the 32-bit version
export CC="xlc_r"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --disable-gcc-inline-asm \
    --disable-timers

make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q %{name}/.libs/lib%{name}-1.a ./lib%{name}-1.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
/usr/include/*
/usr/lib/*.la


%changelog
* Wed Nov 21 2018 Michael Perzl <michael@perzl.org> - 0.36.0-1
- updated to version 0.36.0

* Tue Nov 29 2016 Michael Perzl <michael@perzl.org> - 0.34.0-1
- updated to version 0.34.0

* Sat Dec 26 2015 Michael Perzl <michael@perzl.org> - 0.32.8-1
- updated to version 0.32.8

* Fri Nov 28 2014 Michael Perzl <michael@perzl.org> - 0.32.6-1
- updated to version 0.32.6

* Fri Nov 28 2014 Michael Perzl <michael@perzl.org> - 0.30.2-1
- updated to version 0.30.2

* Fri Feb 22 2013 Michael Perzl <michael@perzl.org> - 0.28.2-1
- updated to version 0.28.2

* Tue Nov 27 2012 Michael Perzl <michael@perzl.org> - 0.28.0-1
- updated to version 0.28.0

* Mon Aug 20 2012 Michael Perzl <michael@perzl.org> - 0.26.2-1
- updated to version 0.26.2

* Sun Jun 03 2012 Michael Perzl <michael@perzl.org> - 0.26.0-1
- updated to version 0.26.0

* Thu Feb 23 2012 Michael Perzl <michael@perzl.org> - 0.24.4-1
- updated to version 0.24.4

* Thu Oct 06 2011 Michael Perzl <michael@perzl.org> - 0.22.2-1
- updated to version 0.22.2

* Wed Jan 12 2011 Michael Perzl <michael@perzl.org> - 0.21.2-1
- updated to version 0.21.2

* Wed Nov 03 2010 Michael Perzl <michael@perzl.org> - 0.20.0-1
- updated to version 0.20.0

* Tue Sep 07 2010 Michael Perzl <michael@perzl.org> - 0.19.2-1
- updated to version 0.19.2

* Tue Sep 07 2010 Michael Perzl <michael@perzl.org> - 0.18.4-1
- updated to version 0.18.4

* Tue Sep 07 2010 Michael Perzl <michael@perzl.org> - 0.17.14-1
- updated to version 0.17.14

* Fri Feb 26 2010 Michael Perzl <michael@perzl.org> - 0.17.8-1
- updated to version 0.17.8

* Thu Feb 25 2010 Michael Perzl <michael@perzl.org> - 0.17.6-1
- updated to version 0.17.6

* Thu Nov 26 2009 Michael Perzl <michael@perzl.org> - 0.17.2-1
- updated to version 0.17.2

* Mon Nov 16 2009 Michael Perzl <michael@perzl.org> - 0.16.2-1
- updated to version 0.16.2

* Wed Sep 23 2009 Michael Perzl <michael@perzl.org> - 0.16.0-1
- updated to version 0.16.0

* Wed Jun 24 2009 Michael Perzl <michael@perzl.org> - 0.15.12-1
- updated to version 0.15.12

* Fri Sep 26 2008 Michael Perzl <michael@perzl.org> - 0.12.0-1
- updated to version 0.12.0

* Fri Jun 20 2008 Michael Perzl <michael@perzl.org> - 0.11.4-1
- updated to version 0.11.4

* Tue Jun 17 2008 Michael Perzl <michael@perzl.org> - 0.11.2-1
- updated to version 0.11.2

* Wed May 21 2008 Michael Perzl <michael@perzl.org> - 0.10.0-1
- first version for AIX V5.1 and higher
